package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.entity.BaseExample;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: sunxiang
 * @Date: 2018/6/23 15:16
 * @Description:
 **/
public class DataRequirementSearchModel extends BaseExample {
    private String rqrmntState1;//需求状态
    private String rqrmntState2;//需求状态
    private String platformType;//平台
    private String openType;
    private String shareType;
    private Long rqrmntId;//需求id
    private String  rqrmntType;//需求类型
    private Integer flag=0;//排序标识,tab选择
    private String rqrmntName;//需求名称

    public String getRqrmntName() {
        return rqrmntName;
    }

    public void setRqrmntName(String rqrmntName) {
        this.rqrmntName = rqrmntName;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getRqrmntType() {
        return rqrmntType;
    }

    public void setRqrmntType(String rqrmntType) {
        this.rqrmntType = rqrmntType;
    }

    public Integer getFlag() {
        return flag;
    }

    public void setFlag(Integer flag) {
        this.flag = flag;
    }

   /* public Date getPublishAtOrder() {
        return publishAtOrder;
    }

    public void setPublishAtOrder(Date publishAtOrder) {
        this.publishAtOrder = publishAtOrder;
    }

    public String getViewTimesOrder() {
        return viewTimesOrder;
    }

    public void setViewTimesOrder(String viewTimesOrder) {
        this.viewTimesOrder = viewTimesOrder;
    }

    public String getFollowTimesOrder() {
        return followTimesOrder;
    }

    public void setFollowTimesOrder(String followTimesOrder) {
        this.followTimesOrder = followTimesOrder;
    }*/

    public String getRqrmntState1() {
        return rqrmntState1;
    }

    public void setRqrmntState1(String rqrmntState1) {
        this.rqrmntState1 = rqrmntState1;
    }

    public String getRqrmntState2() {
        return rqrmntState2;
    }

    public void setRqrmntState2(String rqrmntState2) {
        this.rqrmntState2 = rqrmntState2;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public Long getRqrmntId() {
        return rqrmntId;
    }

    public void setRqrmntId(Long rqrmntId) {
        this.rqrmntId = rqrmntId;
    }
}
